IBatisUtils

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.server
Class IBatisUtils

    java.lang.Object
      org.openswing.swing.util.server.IBatisUtils

public class IBatisUtils
extends java.lang.Object

Title: OpenSwing Framework

Description: Helper class containing an utility method useful when retrieving a block of data for a grid, using iBatis.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`IBatisUtils()`

Method Summary
`static Response` | `getBlockFromQuery(int action, int startIndex, int blockSize, com.ibatis.sqlmap.client.SqlMapClient sqlMap, java.lang.String id, IBatisParamsWrapper gridParams)` Read a block of records from the result set, starting from a Query object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IBatisUtils

    public IBatisUtils()

Method Detail

### getBlockFromQuery

    public static Response getBlockFromQuery(int action,
                                             int startIndex,
                                             int blockSize,
                                             com.ibatis.sqlmap.client.SqlMapClient sqlMap,
                                             java.lang.String id,
                                             IBatisParamsWrapper gridParams)
                                      throws java.lang.Exception

  Read a block of records from the result set, starting from a Query object.

  Parameters:
    `action` - fetching versus: PREVIOUS_BLOCK_ACTION, NEXT_BLOCK_ACTION or LAST_BLOCK_ACTION
    `blockSize` - number of records to read
    `sqlMap` - SQL mapping used by iBatis
    `id` - select identifier in XML mapping
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD